Skip to main content
POST
Child Address Execute
For customer identity, session binding, onboarding recovery and fee semantics, see Customer fiat flows.

Authorizations

x-api-key
string
header
required

Path Parameters

walletId
string
required
Example:

"YOUR_WALLET_ID"

addressId
string
required
Example:

"0xaeAE273Cc4f8CCdF9786eb2967D5d24E8255c092"

Body

application/json
accountIdentifier
string
required

destination bank account identifier

Example:

"9000000010"

amount
number
required

amount to withdraw in asset units

Example:

0.5

assetId
string
required

asset ID of the stablecoin to withdraw

Example:

"37079b6b-b74f-48e9-a394-9a5cbae88f12"

currency
string
required

destination fiat currency code

Example:

"NGN"

institutionIdentifier
string
required

bank or institution identifier code

Example:

"OPAYNGPC"

customerId
string<uuid>

Optional existing active customer owned by the authenticated business. Omit for the business-owned flow. Start a new session to change customer identity.

reference
string

client reference for tracking transaction

Example:

9000000010

code
string
Example:

"956407"

Response

200

data
object
message
string
Example:

"Withdraw fiat execution initiated"

status
boolean
Example:

true